<p align="center">
  <a href="https://mdbootstrap.com/docs/jquery/getting-started/download/">
    <img width="500" src="https://mdbootstrap.com/img/Marketing/general/logo/huge/mdb.png">
  </a>
</p>

<h1 align="center">Material Design for Bootstrap 4</h1>

<p align="center">	
  <a href="https://npmcharts.com/compare/mdbootstrap?minimal=true"><img src="https://img.shields.io/npm/dm/mdbootstrap.svg" alt="Downloads"></a>
  <a href="https://github.com/mdbootstrap/bootstrap-material-design/blob/master/License.pdf"><img src="https://img.shields.io/badge/license-MIT-green.svg" alt="License"></a>	
  <a href="https://cdnjs.com/libraries/mdbootstrap"><img src="https://img.shields.io/cdnjs/v/mdbootstrap.svg" alt="cdnjs"></a>	
  <a href="https://badge.fury.io/js/mdbootstrap"><img src="https://badge.fury.io/js/mdbootstrap.svg" alt="npm"></a>	
  <a href="https://twitter.com/intent/tweet/?text=Thanks+@mdbootstrap+for+creating+amazing+and+free+Material+Design+for+Bootstrap+4+UI+KIT%20https://mdbootstrap.com/docs/jquery/&hashtags=javascript,code,webdesign,bootstrap"><img src="https://img.shields.io/twitter/url/http/shields.io.svg?style=social"></a>	
</p>

<p align="center">
  <a href="https://mdbootstrap.com/docs/jquery/getting-started/download/" target="_blank">
    <img width="700" src="https://mdbootstrap.com/img/Marketing/products/jquery/mdb-free.jpg" alt="logo">
  </a>
</p>

<p align="center">
  <b>400+</b> material UI elements, <b>600+</b> material icons, <b>74</b> CSS animations, SASS files, templates, tutorials and many more. Free for personal and commercial use. Available jQuery, Angular, React and Vue versions
</p>
<p align="center">
  Trusted by <b>800 000+</b> developers & designers. Used by such a companies like Nike, Samsung, Amazon, Ikea, Sony and NASA.
</p>


________


## Table of Contents

* [Other Technologies](#other-technologies) 
* [Most important features](#most-important-features) 
* [Demo](#demo)
* [Quick Start](#quick-start)
* [How to install](#how-to-install)
* [Additional tutorials](#additional-tutorials)
* [Documentation](#documentation)
* [MDBootstrap on CDNJS](#mdbootstrap-on-cdnjs)
* [Supported Browsers](#supported-browsers)
* [Contributing](#contributing)
* [Highlights](#highlights)
* [Social Media](#social-media)
* [Useful Links](#useful-links)

________


# Other Technologies

[<img src="https://mdbootstrap.com/img/Marketing/general/logo/small/angular.png"/>](https://mdbootstrap.com/docs/angular/)[<img src="https://mdbootstrap.com/img/Marketing/general/logo/small/react.png"/>](https://mdbootstrap.com/docs/react/)[<img src="https://mdbootstrap.com/img/Marketing/general/logo/small/vue.png"/>](https://mdbootstrap.com/docs/vue/)



# Most important features

1. Lots of tutorials

2. Fully responsive

3. Plenty of useful templates

4. Easy installation

5. Easy to use and customize

6. Active community

7. Dedicated support forum

8. Detailed documentation


# Demo

 - [Main demo](https://mdbootstrap.com/docs/jquery/components/demo/)


# Quick Start

 - [Written Tutorial](https://mdbootstrap.com/education/bootstrap/quick-start/)

 - [Video Tutorial](https://www.youtube.com/watch?v=cXTThxoywNQ&t=9s)


# How to install

You can install MDBootstrap using NPM:

```
npm install mdbootstrap
```

# Additional tutorials

 - [MDB - Bootstrap tutorial](https://mdbootstrap.com/education/bootstrap/)

 - [MDB - WordPress tutorial](https://mdbootstrap.com/education/wordpress/)


# MDBootstrap on CDNJS:

`<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.7.1/css/mdb.min.css" />`

`<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.7.1/js/mdb.min.js"></script>`

# Documentation

 - [Huge, detailed documentation available online](https://mdbootstrap.com/)


# Supported browsers

MDBootstrap supports the **latest, stable releases** of all major browsers and platforms.

Alternative browsers which use the latest version of WebKit, Blink, or Gecko, whether directly or via the platform’s web view API, are not explicitly supported. However, MDBootstrap should (in most cases) display and function correctly in these browsers as well.

### Mobile devices

Generally speaking, MDBootstrap supports the latest versions of each major platform’s default browsers. Note that proxy browsers (such as Opera Mini, Opera Mobile’s Turbo mode, UC Browser Mini, Amazon Silk) are not supported.

|  | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome  | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox  |  [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari   | Android Browser & WebView  |                  [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br> Miscrosoft Edge                      |
|:--------------------:|:---------------------------:|:----------------------------:|:----------------------------:|:----------------------------:|:-------------------------------------------------------------------------:|
| Android | Supported | Supported | N/A | Android v5.0+ supported | Supported |
| iOS | Supported | Supported | Supported | N/A | Supported |
| Windows 10 Mobile | N/A | N/A | N/A | N/A | Supported |

### Desktop browsers

Similarly, the latest versions of most desktop browsers are supported.

|  | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome  |  [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox  | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br> Internet Explorer  |  [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="Internet Explorer / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br> Edge  | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Opera                  |       [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari       |
|:--------------------:|:-----------------------------:|:------------------------------:|:------------------------------:|:----------------------------:|:-------------------------------------------------------------------------:|:------------------------------:|
| Mac | Supported | Supported | N/A | N/A | Supported | Supported |
| Windows  | Supported | Supported | N/A | Supported | Supported | Not supported |


# Contributing

Please read [CONTRIBUTING.md](https://github.com/mdbootstrap/bootstrap-material-design/blob/master/CONTRIBUTING.md) for details on our code of conduct, and the process for submitting pull requests to us.


# Highlights 

**Components**  
Choose **among 400+  predefined components**. Each component is ready to use and fits perfectly with each other like LEGO bricks. Take, combine, enjoy!


**Modularity**  
Material Design for Bootstrap comes with both compiled, ready-to-use libraries including all features as well as modules for CSS (SASS files) and JS. That allows you to create your custom library including only elements which you really use in your project.   


**42 thematic sections**  
To save your time we have combined our components and prepared thematic sections like **blog listings, contact forms, pricing table** and much more. Choose, combine and enjoy your website in less than a minute.    


**10 fresh ready to use templates**  
We are going further and giving to you ready to use templates! Use them as you like, as an inspiration, prototype or final product for your customers.  


**Cross-browser compatibility**  
Chrome, Firefox, IE, Safari, Opera, Microsoft Edge - MDB loves all browsers, all browsers love MDB.  


**Modularity**  
Material Design for Bootstrap comes with both, compiled, ready to use libraries including all features as well as modules for CSS (SASS files) and JS. That allows you to create your custom library including only elements which you really use in your project.  


**Frequent updates**  
MDB becomes better **every month**. We love the project and enhance as much as possible.  


**Technical support**  
We really care about reliability. If you have any questions - do not hesitate to contact us.  


**Active community**  
Our society grows day by day. Visit [**our forum**](https://mdbootstrap.com/support/)  and check how it is to be a part of our family.  


**Flexbox**  
MDB fully suppports FlexBox. You can forget about alignment issues.  


**jQuery 3.2.1**  
MDB is integrated with newest jQuery, therefore you can use all the newest features which comes along with it.  


**SASS files**  
Arranged and well documented .scss files can't wait until you compile them.  


**Useful helpers**  
We are web developers, we really know which issues are the most annoying in our daily work. Helpers included in MDB will solve lot of them and make your life easiers.  


**Detailed documentation:**  
We give you detailed documentation at your disposal. It will help you to implement your ideas easily.  


**Tutorials, tutorials, tutorials**  
We care about development of our users. We have prepared numerous tutorials, which allow you to learn how to use MDB along with other technologies like Bootstrap, WordPress, Angular, Meteor etc.  


**Free for personal and commercial use**  
Our license is user friendly. Feel free to use MDB for both private as well as commercial projects.  


### Support MDB developers
- Star our GitHub repo
- Create pull requests, submit bugs, suggest new features or documentation updates
- Follow us on [Twitter](https://twitter.com/mdbootstrap)
- Like our page on [Facebook](https://www.facebook.com/mdbootstrap)

A big ❤️ **thank you to all our users** ❤️ who are working with us to improve the software. We wouldn't be where we are without you. 

________

# Useful Links

- [Getting Started](https://mdbootstrap.com/docs/jquery/getting-started/download/)

- [5 min quick start](https://mdbootstrap.com/education/bootstrap/quick-start/)

- [Freebies](https://mdbootstrap.com/freebies/)

- [Premium Templates](https://mdbootstrap.com/templates/)

________


# Social Media

 - [Twitter](https://twitter.com/MDBootstrap)

 - [Facebook](https://www.facebook.com/mdbootstrap) 

 - [Pinterest](https://pl.pinterest.com/mdbootstrap)

 - [Google+](https://plus.google.com/u/0/b/107863090883699620484/+Mdbootstrap/posts)

 - [Dribbble](https://dribbble.com/mdbootstrap)

 - [LinkedIn](https://www.linkedin.com/company/material-design-for-bootstrap)
 
 - [YouTube](https://www.youtube.com/channel/UC5CF7mLQZhvx8O5GODZAhdA)


________

# PRO version

 - [Material Design for Bootstrap PRO](https://mdbootstrap.com/products/jquery-ui-kit/)
